<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionSignRoadBarrier Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d79/a03761.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionSignRoadBarrier Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><br  />
  
 <a href="../../de/d79/a03761.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionSignRoadBarrier:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/d79/a03761.png" usemap="#ExpansionSignRoadBarrier_map" alt=""/>
  <map id="ExpansionSignRoadBarrier_map" name="ExpansionSignRoadBarrier_map">
<area href="../../dc/df3/a03773.html" alt="Container_Base" shape="rect" coords="0,0,164,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a9511fe840165245da2e284b5dcebdb7a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#a9511fe840165245da2e284b5dcebdb7a">ExpansionSignRoadBarrier</a> ()</td></tr>
<tr class="separator:a9511fe840165245da2e284b5dcebdb7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a349f2289f6ce8dd9ffc9b99a970fe10f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#a349f2289f6ce8dd9ffc9b99a970fe10f">~ExpansionSignRoadBarrier</a> ()</td></tr>
<tr class="separator:a349f2289f6ce8dd9ffc9b99a970fe10f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7684174b8212e5d756a6aa16c2026834"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#a7684174b8212e5d756a6aa16c2026834">SetActions</a> ()</td></tr>
<tr class="separator:a7684174b8212e5d756a6aa16c2026834"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e3c579d213fb2af5a66eac9b6880475"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#a2e3c579d213fb2af5a66eac9b6880475">OnSwitchOn</a> ()</td></tr>
<tr class="separator:a2e3c579d213fb2af5a66eac9b6880475"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6acc699f454d2f89ed0a94b1948180cf"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#a6acc699f454d2f89ed0a94b1948180cf">OnSwitchOff</a> ()</td></tr>
<tr class="separator:a6acc699f454d2f89ed0a94b1948180cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7ed675a6eb506034e9d2579908268ba"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#af7ed675a6eb506034e9d2579908268ba">SoundTurnOn</a> ()</td></tr>
<tr class="separator:af7ed675a6eb506034e9d2579908268ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37e2aa2fd78c23c4aece4551b446abbc"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#a37e2aa2fd78c23c4aece4551b446abbc">SoundTurnOff</a> ()</td></tr>
<tr class="separator:a37e2aa2fd78c23c4aece4551b446abbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bc96fb81c52905bc5dd5fe61ba17a8b"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#a0bc96fb81c52905bc5dd5fe61ba17a8b">CanPutInCargo</a> (EntityAI parent)</td></tr>
<tr class="separator:a0bc96fb81c52905bc5dd5fe61ba17a8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa445d8117cd620550d86b6ac71e5adbd"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#aa445d8117cd620550d86b6ac71e5adbd">IsContainer</a> ()</td></tr>
<tr class="separator:aa445d8117cd620550d86b6ac71e5adbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76e39c1a7ddb6a540382eae79acfbfe6"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#a76e39c1a7ddb6a540382eae79acfbfe6">IsHeavyBehaviour</a> ()</td></tr>
<tr class="separator:a76e39c1a7ddb6a540382eae79acfbfe6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6555d67fb65f0d1777b471324151547"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#aa6555d67fb65f0d1777b471324151547">OnPlacementComplete</a> (Man player, vector <a class="el" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>=&quot;0 0 0&quot;, vector orientation=&quot;0 0 0&quot;)</td></tr>
<tr class="separator:aa6555d67fb65f0d1777b471324151547"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab22f4cd0394e87eb93aa89c775c265a1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#ab22f4cd0394e87eb93aa89c775c265a1">OnWork</a> (float consumed_energy)</td></tr>
<tr class="separator:ab22f4cd0394e87eb93aa89c775c265a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b5b5f22a66a39869185276b4fd15ea5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#a2b5b5f22a66a39869185276b4fd15ea5">EEItemDetached</a> (EntityAI item, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> slot_name)</td></tr>
<tr class="separator:a2b5b5f22a66a39869185276b4fd15ea5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ae9429ad3483a826436284d7eb5da1ce7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#ae9429ad3483a826436284d7eb5da1ce7">ATTACHMENT_BATTERY</a> = <a class="el" href="../../df/d67/a06785.html">Battery9V</a></td></tr>
<tr class="separator:ae9429ad3483a826436284d7eb5da1ce7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ff16db82d30f8bedcf01f4bec819882"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#a2ff16db82d30f8bedcf01f4bec819882">SOUND_TURN_ON</a> = &quot;Flashlight_TurnOn_SoundSet&quot;</td></tr>
<tr class="memdesc:a2ff16db82d30f8bedcf01f4bec819882"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expansion turn on sound.  <a href="../../de/d79/a03761.html#a2ff16db82d30f8bedcf01f4bec819882">More...</a><br /></td></tr>
<tr class="separator:a2ff16db82d30f8bedcf01f4bec819882"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa01c5fcbc7093be2bddac3b98523ac69"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#aa01c5fcbc7093be2bddac3b98523ac69">SOUND_TURN_OFF</a> = &quot;Flashlight_TurnOff_SoundSet&quot;</td></tr>
<tr class="memdesc:aa01c5fcbc7093be2bddac3b98523ac69"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expansion turn off sound.  <a href="../../de/d79/a03761.html#aa01c5fcbc7093be2bddac3b98523ac69">More...</a><br /></td></tr>
<tr class="separator:aa01c5fcbc7093be2bddac3b98523ac69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98f6accc13286a51aa669d91eb5c28b5"><td class="memItemLeft" align="right" valign="top">protected EffectSound&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#a98f6accc13286a51aa669d91eb5c28b5">m_SoundBurningLoop</a></td></tr>
<tr class="memdesc:a98f6accc13286a51aa669d91eb5c28b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expansion burning sound instance.  <a href="../../de/d79/a03761.html#a98f6accc13286a51aa669d91eb5c28b5">More...</a><br /></td></tr>
<tr class="separator:a98f6accc13286a51aa669d91eb5c28b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab45ee1839f370eea09c07522eb5f0129"><td class="memItemLeft" align="right" valign="top">protected EffectSound&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#ab45ee1839f370eea09c07522eb5f0129">m_SoundTurnOn</a></td></tr>
<tr class="memdesc:ab45ee1839f370eea09c07522eb5f0129"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expansion turn on sound instance.  <a href="../../de/d79/a03761.html#ab45ee1839f370eea09c07522eb5f0129">More...</a><br /></td></tr>
<tr class="separator:ab45ee1839f370eea09c07522eb5f0129"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8185bb94e79ba6fd3fa25f8565d72968"><td class="memItemLeft" align="right" valign="top">protected EffectSound&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#a8185bb94e79ba6fd3fa25f8565d72968">m_SoundTurnOff</a></td></tr>
<tr class="memdesc:a8185bb94e79ba6fd3fa25f8565d72968"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expansion turn off sound instance.  <a href="../../de/d79/a03761.html#a8185bb94e79ba6fd3fa25f8565d72968">More...</a><br /></td></tr>
<tr class="separator:a8185bb94e79ba6fd3fa25f8565d72968"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23e7c6310cd27f1a57d957c4f309a2a7"><td class="memItemLeft" align="right" valign="top">protected ScriptedLightBase&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d79/a03761.html#a23e7c6310cd27f1a57d957c4f309a2a7">m_Light</a></td></tr>
<tr class="separator:a23e7c6310cd27f1a57d957c4f309a2a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><br  />
 </p>
<p ><a class="el" href="../../d6/d80/a00371.html">ExpansionSignRoadBarrier.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00016">16</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a9511fe840165245da2e284b5dcebdb7a" name="a9511fe840165245da2e284b5dcebdb7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9511fe840165245da2e284b5dcebdb7a">&#9670;&#160;</a></span>ExpansionSignRoadBarrier()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSignRoadBarrier::ExpansionSignRoadBarrier </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00041">41</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="a349f2289f6ce8dd9ffc9b99a970fe10f" name="a349f2289f6ce8dd9ffc9b99a970fe10f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a349f2289f6ce8dd9ffc9b99a970fe10f">&#9670;&#160;</a></span>~ExpansionSignRoadBarrier()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSignRoadBarrier::~ExpansionSignRoadBarrier </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00048">48</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0bc96fb81c52905bc5dd5fe61ba17a8b" name="a0bc96fb81c52905bc5dd5fe61ba17a8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bc96fb81c52905bc5dd5fe61ba17a8b">&#9670;&#160;</a></span>CanPutInCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionSignRoadBarrier::CanPutInCargo </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00141">141</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="a2b5b5f22a66a39869185276b4fd15ea5" name="a2b5b5f22a66a39869185276b4fd15ea5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b5b5f22a66a39869185276b4fd15ea5">&#9670;&#160;</a></span>EEItemDetached()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSignRoadBarrier::EEItemDetached </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>slot_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00208">208</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="aa445d8117cd620550d86b6ac71e5adbd" name="aa445d8117cd620550d86b6ac71e5adbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa445d8117cd620550d86b6ac71e5adbd">&#9670;&#160;</a></span>IsContainer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionSignRoadBarrier::IsContainer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00149">149</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="a76e39c1a7ddb6a540382eae79acfbfe6" name="a76e39c1a7ddb6a540382eae79acfbfe6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76e39c1a7ddb6a540382eae79acfbfe6">&#9670;&#160;</a></span>IsHeavyBehaviour()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionSignRoadBarrier::IsHeavyBehaviour </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00157">157</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="aa6555d67fb65f0d1777b471324151547" name="aa6555d67fb65f0d1777b471324151547"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6555d67fb65f0d1777b471324151547">&#9670;&#160;</a></span>OnPlacementComplete()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSignRoadBarrier::OnPlacementComplete </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>position</em> = <code>&quot;0&#160;0&#160;0&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>orientation</em> = <code>&quot;0&#160;0&#160;0&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Make the kit invisible, so it can be destroyed from deploy UA when action ends</p>

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00165">165</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="a6acc699f454d2f89ed0a94b1948180cf" name="a6acc699f454d2f89ed0a94b1948180cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6acc699f454d2f89ed0a94b1948180cf">&#9670;&#160;</a></span>OnSwitchOff()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSignRoadBarrier::OnSwitchOff </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00106">106</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="a2e3c579d213fb2af5a66eac9b6880475" name="a2e3c579d213fb2af5a66eac9b6880475"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e3c579d213fb2af5a66eac9b6880475">&#9670;&#160;</a></span>OnSwitchOn()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSignRoadBarrier::OnSwitchOn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00069">69</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="ab22f4cd0394e87eb93aa89c775c265a1" name="ab22f4cd0394e87eb93aa89c775c265a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab22f4cd0394e87eb93aa89c775c265a1">&#9670;&#160;</a></span>OnWork()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSignRoadBarrier::OnWork </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>consumed_energy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00183">183</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="a7684174b8212e5d756a6aa16c2026834" name="a7684174b8212e5d756a6aa16c2026834"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7684174b8212e5d756a6aa16c2026834">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSignRoadBarrier::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00055">55</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="a37e2aa2fd78c23c4aece4551b446abbc" name="a37e2aa2fd78c23c4aece4551b446abbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37e2aa2fd78c23c4aece4551b446abbc">&#9670;&#160;</a></span>SoundTurnOff()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void ExpansionSignRoadBarrier::SoundTurnOff </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00133">133</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="af7ed675a6eb506034e9d2579908268ba" name="af7ed675a6eb506034e9d2579908268ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7ed675a6eb506034e9d2579908268ba">&#9670;&#160;</a></span>SoundTurnOn()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void ExpansionSignRoadBarrier::SoundTurnOn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00125">125</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ae9429ad3483a826436284d7eb5da1ce7" name="ae9429ad3483a826436284d7eb5da1ce7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9429ad3483a826436284d7eb5da1ce7">&#9670;&#160;</a></span>ATTACHMENT_BATTERY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ExpansionSignRoadBarrier::ATTACHMENT_BATTERY = <a class="el" href="../../df/d67/a06785.html">Battery9V</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00019">19</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="a23e7c6310cd27f1a57d957c4f309a2a7" name="a23e7c6310cd27f1a57d957c4f309a2a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23e7c6310cd27f1a57d957c4f309a2a7">&#9670;&#160;</a></span>m_Light</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ScriptedLightBase ExpansionSignRoadBarrier::m_Light</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00036">36</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="a98f6accc13286a51aa669d91eb5c28b5" name="a98f6accc13286a51aa669d91eb5c28b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98f6accc13286a51aa669d91eb5c28b5">&#9670;&#160;</a></span>m_SoundBurningLoop</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected EffectSound ExpansionSignRoadBarrier::m_SoundBurningLoop</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Expansion burning sound instance. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00028">28</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="a8185bb94e79ba6fd3fa25f8565d72968" name="a8185bb94e79ba6fd3fa25f8565d72968"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8185bb94e79ba6fd3fa25f8565d72968">&#9670;&#160;</a></span>m_SoundTurnOff</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected EffectSound ExpansionSignRoadBarrier::m_SoundTurnOff</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Expansion turn off sound instance. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00034">34</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="ab45ee1839f370eea09c07522eb5f0129" name="ab45ee1839f370eea09c07522eb5f0129"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab45ee1839f370eea09c07522eb5f0129">&#9670;&#160;</a></span>m_SoundTurnOn</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected EffectSound ExpansionSignRoadBarrier::m_SoundTurnOn</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Expansion turn on sound instance. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00031">31</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="aa01c5fcbc7093be2bddac3b98523ac69" name="aa01c5fcbc7093be2bddac3b98523ac69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa01c5fcbc7093be2bddac3b98523ac69">&#9670;&#160;</a></span>SOUND_TURN_OFF</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionSignRoadBarrier::SOUND_TURN_OFF = &quot;Flashlight_TurnOff_SoundSet&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Expansion turn off sound. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00025">25</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<a id="a2ff16db82d30f8bedcf01f4bec819882" name="a2ff16db82d30f8bedcf01f4bec819882"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ff16db82d30f8bedcf01f4bec819882">&#9670;&#160;</a></span>SOUND_TURN_ON</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionSignRoadBarrier::SOUND_TURN_ON = &quot;Flashlight_TurnOn_SoundSet&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Expansion turn on sound. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d80/a00371_source.html#l00022">22</a> of file <a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/entities/basebuilding/misc/<a class="el" href="../../d6/d80/a00371_source.html">expansionsignroadbarrier.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/d79/a03761.html">ExpansionSignRoadBarrier</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
